var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":247,"id":5565,"methods":[{"el":63,"sc":5,"sl":58},{"el":71,"sc":5,"sl":65},{"el":79,"sc":5,"sl":73},{"el":89,"sc":5,"sl":81},{"el":99,"sc":5,"sl":91},{"el":103,"sc":5,"sl":101},{"el":107,"sc":6,"sl":105},{"el":111,"sc":5,"sl":109},{"el":117,"sc":5,"sl":113},{"el":121,"sc":5,"sl":119},{"el":128,"sc":5,"sl":123},{"el":132,"sc":5,"sl":130},{"el":136,"sc":5,"sl":134},{"el":140,"sc":5,"sl":138},{"el":146,"sc":5,"sl":142},{"el":150,"sc":5,"sl":148},{"el":184,"sc":5,"sl":169},{"el":192,"sc":5,"sl":189},{"el":203,"sc":5,"sl":194},{"el":214,"sc":5,"sl":205},{"el":227,"sc":5,"sl":222},{"el":238,"sc":5,"sl":234},{"el":245,"sc":5,"sl":240}],"name":"BasicHttpProcessor","sl":51}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_172":{"methods":[{"sl":58},{"sl":65},{"sl":109},{"sl":113}],"name":"testAddTailRequestInterceptor","pass":true,"statements":[{"sl":59},{"sl":62},{"sl":67},{"sl":70},{"sl":110},{"sl":114},{"sl":116}]},"test_358":{"methods":[{"sl":58},{"sl":65},{"sl":109},{"sl":113}],"name":"testAddFirstRequestInterceptor","pass":true,"statements":[{"sl":59},{"sl":62},{"sl":67},{"sl":70},{"sl":110},{"sl":114},{"sl":116}]},"test_400":{"methods":[{"sl":65},{"sl":109},{"sl":113}],"name":"testAddTailRequestInterceptorNull","pass":true,"statements":[{"sl":67},{"sl":68},{"sl":110},{"sl":114},{"sl":115}]},"test_477":{"methods":[{"sl":65},{"sl":109},{"sl":113}],"name":"testAddFirstRequestInterceptorNull","pass":true,"statements":[{"sl":67},{"sl":68},{"sl":110},{"sl":114},{"sl":115}]},"test_64":{"methods":[{"sl":58},{"sl":81},{"sl":109}],"name":"testClearByClass","pass":true,"statements":[{"sl":59},{"sl":62},{"sl":82},{"sl":83},{"sl":84},{"sl":85},{"sl":86},{"sl":110}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [358, 172, 64], [358, 172, 64], [], [], [358, 172, 64], [], [], [400, 358, 172, 477], [], [400, 358, 172, 477], [400, 477], [], [358, 172], [], [], [], [], [], [], [], [], [], [], [64], [64], [64], [64], [64], [64], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [400, 358, 172, 64, 477], [400, 358, 172, 64, 477], [], [], [400, 358, 172, 477], [400, 358, 172, 477], [400, 477], [358, 172], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []]
